/* Import Font */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800;900&display=swap");
/* Global Variables */
:root {
  --primary-color: #0f9d58;
  --primary-color-rgb: 15, 157, 88;
  --background-color: #f0f3f7;
  --second-color: #9da2ad;
  --grey: #7a7a7b;
  --black: #000;
  --red: #970e0e;
  --white: #ffffff;
}

* {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  color: unset;
  text-decoration: none;
}

body,
html {
  background-color: var(--background-color);
  scroll-behavior: smooth;
  position: relative;
  overflow-x: hidden;
}

.container {
  width: 100%;
  max-width: 1366px;
  margin: 0 auto;
}

.fullwidth {
  width: 100%;
}

.fullheight {
  height: 100vh;
}

.align-items-center {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.bg-img {
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.bg-img-fixed {
  background-attachment: fixed;
}

.primary-color {
  color: var(--primary-color);
}

section {
  padding: 9rem 0;
}

/* ********************************* Nav ***************************** */
.nav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 99;
  background-color: var(--background-color);
  box-shadow: rgba(99, 99, 99, 0.2) 0 2px 8px 0;
}

.menu-wrap {
  max-width: 1366px;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1rem;
}

.logo {
  font-size: 2rem;
  font-weight: 800;
  color: var(--primary-color);
}

.menu {
  display: flex;
  align-items: center;
  justify-content: center;
}

.menu-item {
  margin-left: 1rem;
  padding: 0.5rem 1.5rem;
  font-weight: 600;
  color: var(--grey);
  transition: 0.5s ease-in-out;
  cursor: pointer;
}

.menu-item:hover,
.menu-item.active {
  color: var(--white);
  background-color: var(--primary-color);
  border-radius: 1rem;
}

.cart-btn {
  width: 3rem;
  height: 3rem;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--primary-color);
  font-size: 2rem;
  cursor: pointer;
  transition: 0.5s ease-in-out;
}

.cart-btn:hover {
  background-color: var(--primary-color);
  color: var(--white);
  border-radius: 1rem;
}

/* ********************************* Home ***************************** */
#home {
  background-image: url("assets/brooke-lark-08bOYnH_r_E-unsplash.jpg");
}

.slogan {
  text-align: left;
}

.slogan h1 {
  font-size: 7rem;
  color: var(--primary-color);
}

.slogan button {
  padding: 1rem 5rem;
  outline: none;
  border: none;
  background-color: var(--background-color);
  border: 0.125rem solid var(--primary-color);
  border-radius: 2rem;
  color: var(--primary-color);
  margin: 3rem 0;
  cursor: pointer;
  font-weight: 600;
  transition: 0.5s ease-in-out;
}

.slogan button:hover {
  background-color: var(--primary-color);
  color: var(--white);
}

/* ********************************* About ***************************** */
#about img {
  border-radius: 2rem;
  /* Box Shadow */
  -webkit-box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.75);
}

.about-slogan {
  padding: 4rem;
  background-color: var(--white);
  border-radius: 2rem;
  /* Box Shadow */
  -webkit-box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.75);
  transform: translateX(-10rem);
}

.about-slogan h3 {
  font-size: 2rem;
  margin-bottom: 3rem;
  color: var(--grey);
}

/* ********************************* Food Menu ***************************** */
#foot-menu-section {
  background-image: url("assets/katherine-chase-4MMK78S7eyk-unsplash.jpg");
}

.food-menu {
  padding: 4rem;
  background-color: var(--white);
  border-radius: 2rem;
  box-shadow: rgba(100, 100, 111, 0.2) 0 7px 29px 0;
}

.food-menu h1 {
  color: var(--grey);
}

.food-menu p {
  margin: 2rem 0;
}

.food-category {
  display: flex;
}

.food-category button {
  padding: 0.5rem 2.5rem;
  margin: 0 1rem;
  outline: none;
  border: 1px solid var(--primary-color);
  background-color: transparent;
  color: var(--primary-color);
  font-weight: 600;
  border-radius: 1rem;
  cursor: pointer;
  transition: 0.5s ease-in-out;
}

.food-category button:hover,
.food-category button.active {
  background-color: var(--primary-color);
  color: var(--white);
}

.food-item-wrap {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  margin-top: 3rem;
}

.food-item-wrap > div {
  display: none;
}

.food-item-wrap.all > div {
  display: block;
}

.food-item-wrap.salad > div.salad-type {
  display: block;
}
.food-item-wrap.lorem > div.lorem-type {
  display: block;
}
.food-item-wrap.ipsum > div.ipsum-type {
  display: block;
}
.food-item-wrap.dolor > div.dolor-type {
  display: block;
}

.food-item {
  width: 25%;
  height: 30rem;
  padding: 1rem;
}

.item-wrap {
  height: 100%;
  transition: 0.4s ease-in-out;
  border-radius: 2rem;
  border: 1px solid rgba(var(--primary-color-rgb), 0.2);
}

.item-wrap:hover {
  /* Box Shadow */
  -webkit-box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.75);
}

.item-img {
  height: 60%;
  position: relative;
  overflow: hidden;
  border-radius: 2rem;
}

.img-holder {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 2rem;
  transition: 0.5s ease-in-out;
}

.img-holder:hover {
  transform: scale(2) rotate(45deg);
  cursor: pointer;
}

.item-info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 3rem;
  padding: 0 1rem;
}

.item-info h3 {
  color: var(--grey);
}
.item-info span {
  color: var(--red);
  font-weight: 700;
}

.item-info > div:first-child {
  text-align: left;
}

/* ********************************* Review ***************************** */
.review-wrap {
  width: 100%;
  padding: 1rem;
  background-color: var(--white);
  border-radius: 3rem;
  /* Box Shadow */
  -webkit-box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.25);
}

.review-wrap.active {
  transform: scale(1.2) !important;
}

.review-content {
  padding: 3rem;
  border-bottom: 0.125rem solid var(--grey);
  position: relative;
  text-align: center;
}

.review-img {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -2.5rem;
  width: 5rem;
  height: 5rem;
  border-radius: 2rem;
  /* Box Shadow */
  -webkit-box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.5);
}

.review-info {
  padding: 3rem;
  text-align: center;
}

.rating i {
  color: var(--primary-color);
}

/* ********************************* Footer ***************************** */
.footer {
  color: var(--white);
}

.footer h1 {
  color: var(--primary-color);
}

.input-group {
  padding: 1rem;
  border: 00.125rem solid var(--primary-color);
  border-radius: 2rem;
  display: flex;
  justify-content: space-between;
  margin-top: 2rem;
}

.input-group input {
  flex: auto;
  outline: none;
  border: none;
  color: var(--primary-color);
  background-color: transparent;
}

.input-group button {
  padding: 0.5rem 1rem;
  outline: none;
  border: none;
  background-color: var(--primary-color);
  border-radius: 1rem;
  transition: 0.5s ease-in-out;
  cursor: pointer;
  font-weight: 600;
}

.input-group button:hover {
  background-color: var(--white);
  color: var(--primary-color);
  font-weight: 700;
}
/* ********************************* GO TO TOP BUTTON ***************************** */
.go-to-top {
  position: fixed;
  bottom: 70px;
  right: 70px;
  border-radius: 10px;
  background-color: var(--primary-color);
  color: var(--white);
  display: none;
  justify-content: center;
  align-items: center;
  font-size: 2rem;
  padding: 0.5rem;
  z-index: 99;
  transition: 0.5s ease-in-out;
  border: 1px solid transparent;
}

.go-to-top:hover {
  background-color: var(--white);
  color: var(--black);
  border: 1px solid var(--primary-color);
}

/* ******** Grid ******* */
.row {
  display: flex;
  flex-wrap: wrap;
}

[class*="col-"] {
  padding: 1rem;
}

.col-1 {
  width: 8.33%;
}
.col-2 {
  width: 16.66%;
}
.col-3 {
  width: 25%;
}
.col-4 {
  width: 33.33%;
}
.col-5 {
  width: 41.66%;
}
.col-6 {
  width: 50%;
}
.col-7 {
  width: 58.33%;
}
.col-8 {
  width: 66.66%;
}
.col-9 {
  width: 75%;
}
.col-10 {
  width: 83.33%;
}
.col-11 {
  width: 91.66%;
}
.col-12 {
  width: 100%;
}

@media only screen and (max-width: 600px) {
  * {
    font-size: 13px;
  }
  h1 {
    font-size: 3rem !important;
  }
  span {
    font-size: inherit;
  }
  .cart-btn i {
    font-size: 2rem;
  }
  .about {
    background-image: url(assets/dan-gold-4_jhDO54BYg-unsplash.jpg);
    background-attachment: fixed;
  }
  .about-slogan {
    transform: translateX(0);
  }

  .food-menu {
    padding: 4rem 0;
  }
  .food-item {
    width: 50%;
    height: 25rem;
  }

  .food-category {
    overflow-y: scroll;
  }

  .food-category button {
    width: max-content;
  }

  .go-to-top {
    bottom: 6rem;
    right: 1rem;
  }

  .review-wrap.active {
    transform: unset !important;
  }

  /* MOBILE NAV */
  .mb-nav {
    position: fixed;
    bottom: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--white);
    z-index: 99;
    overflow: hidden;
    border-top-left-radius: 2rem;
    border-top-right-radius: 2rem;
    box-shadow: 0px 0px 15px -1px rgba(0, 0, 0, 0.5);
  }

  .mb-nav-item {
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 25%;
    padding: 1rem 0;
  }

  .mb-nav-item i,
  .mb-nav-item a {
    font-size: 2rem;
    color: var(--second-color);
    z-index: 2;
    transition: 0.5s ease-in-out;
  }

  .mb-nav-item.active i {
    color: var(--white);
  }
  .mb-move-item {
    position: absolute;
    left: 0;
    width: 25%;
    height: 100%;
    background-color: var(--primary-color);
    transition: 0.5s ease-in-out;
  }
  /* **************** Grid **************** */
  .col-xs-1 {
    width: 8.33%;
  }
  .col-xs-2 {
    width: 16.66%;
  }
  .col-xs-3 {
    width: 25%;
  }
  .col-xs-4 {
    width: 33.33%;
  }
  .col-xs-5 {
    width: 41.66%;
  }
  .col-xs-6 {
    width: 50%;
  }
  .col-xs-7 {
    width: 58.33%;
  }
  .col-xs-8 {
    width: 66.66%;
  }
  .col-xs-9 {
    width: 75%;
  }
  .col-xs-10 {
    width: 83.33%;
  }
  .col-xs-11 {
    width: 91.66%;
  }
  .col-xs-12 {
    width: 100%;
  }
  .h-xs {
    display: none;
  }
}
